

using namespace std;

void SetHist(TH1D * hist,string TitX, string TitY, int ColorIdex, double MinPlot, double MaxPlot);

int plot(string FileName){ 

  FileName.append("*.st.root");

  double NTot,EvMin,EvMax,CtMin,CtMax;
  double E_nu,Dz_nu,WEvt;
  int nBin=40;

  TChain Header("Header");  
  Header.Add(FileName.c_str());        
  Header.SetBranchAddress("NTot",&NTot);
  Header.SetBranchAddress("EvMin",&EvMin);
  Header.SetBranchAddress("EvMax",&EvMax);
  Header.SetBranchAddress("CtMin",&CtMin);
  Header.SetBranchAddress("CtMax",&CtMax);
                              
  Header.GetEntries();
  Header.GetEntry(0);

  TH1D * h_logev=new TH1D("logev","",nBin,log10(EvMin),log10(EvMax));  
  TH1D * h_vzv=new TH1D("vzv","",nBin,CtMin,CtMax);  


  TChain Events("Events");  
  Events.Add(FileName.c_str());        
  Events.SetBranchAddress("E_nu",&E_nu); 
  Events.SetBranchAddress("Dz_nu",&Dz_nu);                             
  Events.SetBranchAddress("WEvt",&WEvt);      


  int NEvt=Events.GetEntries();
  int NFile=Events.GetNtrees();


  cout<<"NTot= "<<NTot<<endl;
  cout<<"NFile= "<< NFile<<endl;  
  cout<<"NEvt= "<< NEvt<<endl;

    
  for(Int_t i=0; i<NEvt; i++){
    Events.GetEntry(i);
    WEvt/=(NFile*NTot); 
    h_logev->Fill(log10(E_nu),WEvt);
    h_vzv->Fill(Dz_nu,WEvt);
  }


  SetHist(h_logev,"log10(E/GeV)","Events/year",1,1E4,1E8);
  SetHist(h_vzv,"cos(#theta)","Events/year",1,1E4,5.5E5);

  TCanvas *c1 = new TCanvas("c1", "c1",0,45,700,475);
  c1->Range(-35.80682,0.9463889,189.3568,1.00875);
  c1->SetFillColor(0);
  c1->SetBorderMode(0);
  c1->SetBorderSize(5);
  c1->SetLogy();  
  c1->SetLeftMargin(0.1590258);
  c1->SetRightMargin(0.04154728);
  c1->SetTopMargin(0.06013363);
  c1->SetBottomMargin(0.1380846);
  c1->SetFrameLineWidth(3);
  c1->SetFrameBorderMode(0);
  c1->SetFrameBorderSize(3);
  c1->SetFrameLineWidth(3);
  c1->SetFrameBorderMode(0);
  c1->SetFrameBorderSize(3);


  h_logev->Draw("hist");
  c1->SaveAs("energy.png");


  h_vzv->Draw("hist");
  c1->SaveAs("costheta.png");
 

  return 0;
}

//___________________________________________________________________________________________________
void SetHist(TH1D * hist,string TitX, string TitY, int ColorIdex, double MinPlot, double MaxPlot){

  hist->SetLineWidth(3); 
  hist->SetLineColor(ColorIdex);   
  hist->SetStats(0);
  hist->GetXaxis()->SetTitle(TitX.c_str());  
  hist->GetYaxis()->SetTitle(TitY.c_str());  
  hist->GetXaxis()->SetTitleOffset(1.09);
  hist->GetYaxis()->SetTitleOffset(0.9);
  hist->GetXaxis()->SetTitleSize(0.06);
  hist->GetYaxis()->SetTitleSize(0.06);  
  
  hist->GetXaxis()->SetLabelSize(0.05);
  hist->GetYaxis()->SetLabelSize(0.05);  
  
  return;
}


