#!/bin/tcsh

source $GSEAGEN/setenv.csh

setenv SPLOAD dat/gxspl-muon-5000-genie2.12.10.xml

setenv FLUX "BARTOL:$GSEAGEN/dat/f210_3_z.kam_num,$GSEAGEN/dat/fmin10_0401z.kam_num[14]"

setenv TYPE CC

setenv NBIN 5

setenv NTOT 1E6

setenv EMIN 1
setenv EMAX 5000

setenv FileName "muon.${EMIN}-${EMAX}gev-${NTOT}-${NBIN}bin-${TYPE}"

@ RUN = 1
while ($RUN <= 10)

setenv SEED $RUN

time $GSEAGEN/bin/gSeaNuEvGen -n $NTOT -e ${EMIN},${EMAX} -t -1.,1. -f "$FLUX" -c "CAN:0.00,957.00,818.40" -r $RUN -b $NBIN -o $FileName --cross-sections $SPLOAD --seed $SEED --event-generator-list $TYPE -rt 'proj' -prop music

mv genie-mcjob-$RUN.status $FileName.$RUN.status

@ RUN ++
end

root -l -b -q 'plot.C("'$FileName'")'
