//____________________________________________________________________________
/*!

\class   PropaUtils

\brief   Muon track data for PropaMuon class 

\author  Carla Distefano <distefano_c@lns.infn.it>
         LNS-INFN, Catania

\created December 9, 2015

\cpright  Copyright (c) 2015-2019, The KM3NeT Collaboration 
          For the full text of the license see $GSEAGEN/LICENSE
*/
//____________________________________________________________________________


#ifndef _GPROPATRACKS_H__
#define _GPROPATRACKS_H__

#include <vector>

using namespace std;

struct PropaTrack {

  unsigned  Id;                 ///< Unique identifier       
  int       Status;             ///< Genie status propagation (+1000 if it is used for propagation)
  int       Pdg;                ///< Pdg code
  int       MotherId;           ///< Mother unique identifier
  int       InCan;              ///< check if the particle is inside the can (0=out // 1=incan // 2=bedrock)
  double    V1,V2,V3;		///< Position 
  double    D1,D2,D3;		///< Direction 
  double    E;       		///< Energy
  double    T;      		///< time  of passage trough position

};

typedef vector<PropaTrack> PropaTracks;

#endif // _GPROPATRACKS_H__

